<template>
  <div>
    <input
      class="inputButton"
      type="button"
      @click="handleClick"
      value="Back to Menu"
    />
  </div>
</template>

<script>
import { mapActions } from "vuex";
export default {
  name: "ResultPageBackToMenu",
  methods: {
    ...mapActions(["reset"]),

    /**
     * If the user wants to return to the main menu, reset all the states to their initial values and route to the start page.
     */
    handleClick() {
      this.reset();
      this.$router.push("/");
    },
  },
};
</script>

<style>
</style>